<!--
Copyright (C) 2023 Maxwell G <maxwell@gtmx.me>
SPDX-License-Identifier: MIT
-->

# sourcehut

[![builds.sr.ht status](https://builds.sr.ht/~gotmax23/sourcehut/commits/main.svg)](https://builds.sr.ht/~gotmax23/sourcehut/commits/main?)

[![copr build status][badge-copr]][link-copr] (gotmax23/sourcehut)

[![copr build status][badge-copr-dev]][link-copr-dev] (gotmax23/sourcehut-dev)

This library provides an async python client for the Sourcehut API
implemented using httpx and pydantic.

## Links

- [sourcehut project hub](https://sr.ht/~gotmax23/sourcehut)
- [sourcehut git.sr.ht repo](https://git.sr.ht/~gotmax23/sourcehut)
- [sourcehut tracker](https://todo.sr.ht/~gotmax23/sourcehut)
- [sourcehut mailing list][archives] ([~gotmax/sourcehut@lists.sr.ht][mailto])

[archives]: https://lists.sr.ht/~gotmax23/sourcehut
[mailto]: mailto:~gotmax/sourcehut@lists.sr.ht

## Contributing

See [CONTRIBUTING.md](https://git.sr.ht/~gotmax23/sourcehut/tree/main/item/CONTRIBUTING.md).

## License

This repository is licensed under

    SPDX-License-Identifer: MIT AND Unlicense

In general:

- Code is licensed under `MIT`
- Test fixtures in `fixtures/cassettes` are licensed under `Unlicense`

[badge-copr]: https://copr.fedorainfracloud.org/coprs/gotmax23/sourcehut/package/python-sourcehut/status_image/last_build.png
[link-copr]: https://copr.fedorainfracloud.org/coprs/gotmax23/sourcehut/
[badge-copr-dev]: https://copr.fedorainfracloud.org/coprs/gotmax23/sourcehut-dev/package/python-sourcehut/status_image/last_build.png
[link-copr-dev]: https://copr.fedorainfracloud.org/coprs/gotmax23/sourcehut-dev/
